function toSnakeCase(str) {
  return str
    .replace(/[A-Z]/g, letter => `_${letter.toLowerCase()}`)
    .replace(/^_/, "");
}

function toCamelCase(str) {
  return str.replace(/(\_\w)/g, function(subStr) {
    return subStr[1].toUpperCase();
  })
}

module.exports = { toSnakeCase, toCamelCase };
